<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
        <ion-back-button defaultHref="/app/tabs/tab5"></ion-back-button>
    </ion-buttons>
    <ion-title>{{"BLUETOOTH_SETTING" | translate}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content padding>
    <!--
    <ion-list>
      <ion-item *ngFor="let device of devices" (click)="alertBox(device)">
        <h2>{{ device.name || 'Unnamed' }}</h2>
        <p>{{ device.id }}</p>
        <p>RSSI: {{ device.rssi }}</p>
      </ion-item>
    </ion-list>
    -->
    <div *ngIf="plt">
      <ion-list lines="full"  *ngFor="let uuid of uuids">
        <ion-item button (click)="deviceSelected(uuid.printer_uuid)">
          <ion-text>
            <h3>{{"PRINTER_BLUETOOTH" | translate}}</h3>
            <p>{{ "BLUETOOTH.ID" | translate }}: {{uuid.printer_uuid}}</p>
          </ion-text>
        </ion-item>
        <ion-item button (click)="deviceSelected('24FA0A78-6341-ECD3-316D-D10372E0E952')">
          <ion-text>
            <h3>{{"SCALE_BLUETOOTH" | translate}}</h3>
            <p>{{ "BLUETOOTH.ID" | translate }}: {{uuid.scale_uuid}}</p>
          </ion-text>
        </ion-item>
        <ion-item button (click)="deviceSelected(uuid.airmeter_uuid)">
          <ion-text>
            <h3>{{"AIRMETER_BLUETOOTH" | translate}}</h3>
            <p>{{ "BLUETOOTH.ID" | translate }}: {{uuid.airmeter_uuid}}</p>
          </ion-text>
        </ion-item>
      </ion-list>
    </div>
    <div *ngIf="!plt">
      <ion-list lines="full"  *ngFor="let uuid of uuids">
        <ion-item button (click)="deviceSelected(uuid.printer_ble)">
          <ion-text>
            <h3>{{"PRINTER_BLUETOOTH" | translate}}</h3>
            <p>{{ "BLUETOOTH.ID" | translate }}: {{uuid.printer_ble}}</p>
          </ion-text>
        </ion-item>
        <ion-item button (click)="deviceSelected(uuid.scale_ble)">
          <ion-text>
            <h3>{{"SCALE_BLUETOOTH" | translate}}</h3>
            <p>{{ "BLUETOOTH.ID" | translate }}: {{uuid.scale_ble}}</p>
          </ion-text>
        </ion-item>
        <ion-item button (click)="deviceSelected(uuid.airmeter_ble)">
          <ion-text>
            <h3>{{"AIRMETER_BLUETOOTH" | translate}}</h3>
            <p>{{ "BLUETOOTH.ID" | translate }}: {{uuid.airmeter_ble}}</p>
          </ion-text>
        </ion-item>
      </ion-list>
    </div>
    

    <ion-item>
      <ion-label>{{"SCALE_DISPLAY" | translate}}</ion-label>
      <ion-input type="text" readonly [(ngModel)]="realtime"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label>AirMeter {{"INITIAL_PRESSURE" | translate}}</ion-label>
      <ion-input type="text" readonly [value]="pressure[0]" placeholder="{{ 'INITIAL_PRESSURE' | translate }}"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label>AirMeter {{"EQUILIBRIUM_PRESSURE" | translate}}</ion-label>
      <ion-input type="text" readonly [value]="pressure[1]" placeholder="{{ 'INITIAL_PRESSURE' | translate }}"></ion-input>
    </ion-item>
    <form (ngSubmit)="sendMessage(message);">
      <ion-item>
        <ion-textarea type="text" placeholder="{{ 'PRINTER_SAMPLE_MSG' | translate }}" [(ngModel)]="message" name="message"></ion-textarea>
      </ion-item>
      <ion-row>
        <!--
        <ion-col>
          <ion-button expand="block" color="dark" (click)="discoonect()" [disabled]="!isConnected">
            {{ "DISCONNECT" | translate }}
          </ion-button>
        </ion-col>
        -->
        <ion-col>
          <ion-button expand="block" type="submit" [disabled]="!isConnected">
            {{ "SEND" | translate }}
          </ion-button>
        </ion-col>
      </ion-row>
    </form>
</ion-content>
